| Gtk2Hs | Contents | Index

Graphics.UI.Gtk.Scrolling.HScrollbar

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Contents

Detail
Class Hierarchy
Types
Constructors

Description
A horizontal scrollbar
Synopsis

data HScrollbar
class ScrollbarClass o => HScrollbarClass o
castToHScrollbar :: GObjectClass obj => obj -> HScrollbar
toHScrollbar :: HScrollbarClass o => o -> HScrollbar
hScrollbarNew :: Adjustment -> IO HScrollbar
hScrollbarNewDefaults :: IO HScrollbar

Detail

The `HScrollbar` widget is a widget arranged horizontally creating a scrollbar. See `Scrollbar` for details on scrollbars. An `Adjustment` may be added to handle the adjustment of the scrollbar using `hScrollbarNew` or you can use `hScrollbarNewDefaults` in which case one will be created for you. See `Adjustment` for details.

All interesting functions can be found in `Range`, from which it is derived.

Class Hierarchy

     |  GObject
     |   +----Object
     |         +----Widget
     |               +----Range
     |                     +----Scrollbar
     |                           +----HScrollbar

Types
data HScrollbar

Instances

GObjectClass HScrollbar
HScrollbarClass HScrollbar
ScrollbarClass HScrollbar
RangeClass HScrollbar
WidgetClass HScrollbar
ObjectClass HScrollbar

class ScrollbarClass o => HScrollbarClass o

Instances

HScrollbarClass HScrollbar

castToHScrollbar :: GObjectClass obj => obj -> HScrollbar
toHScrollbar :: HScrollbarClass o => o -> HScrollbar
Constructors
hScrollbarNew

:: Adjustment | `adjustment` - the `Adjustment` to use.
-> IO HScrollbar |
Creates a new horizontal scrollbar.

hScrollbarNewDefaults :: IO HScrollbar
Create a new HScrollbar without specifying an existing `Adjustment`. A new one will be created instead.
Produced by Haddock version 2.4.2